# Sale Stock Cancel Restriction

This module extends the functionality of Sales to avoid canceling sales orders with ‘Done’ pickings.

Derived from: https://github.com/odoo/odoo/commit/abc9ee8e3b33079ddedcaed39fea9116fb0aebff

Table of contents

- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Usage

To use this module, you need to:

1. Go to Sales -> Orders -> Quotations and create a new quotation.
2. Add some storable products and confirm the quotation.
3. Go to the related pickings and confirm them.
4. Go back to the quotation, try to cancel it and you will get a validation message that will not let you cancel the order.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Tecnativa

## Contributors

- Tecnativa:
  - Ernesto Tejeda
  - Pedro M. Baeza
  - César A. Sánchez

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/sale-workflow project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.